plist-cil : Claunia.PropertyList Namespace

# PropertyListParser Class

This class provides methods to parse property lists. It can handle files, input streams and byte arrays. All known property list formats are supported. This class also provides methods to save and convert property lists.

## Syntax

public static class PropertyListParser

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from object.

## Public Methods

static | ConvertToASCII (System.IO.FileInfo, System.IO.FileInfo) Converts a given property list file into ASCII format.
static | ConvertToBinary (System.IO.FileInfo, System.IO.FileInfo) Converts a given property list file into the OS X and iOS binary format.
static | ConvertToGnuStepASCII (System.IO.FileInfo, System.IO.FileInfo) Converts a given property list file into GnuStep ASCII format.
static | ConvertToXml (System.IO.FileInfo, System.IO.FileInfo) Converts a given property list file into the OS X and iOS XML format.
static | Parse (byte[]) : NSObject Parses a property list from a byte array.
static | Parse (System.IO.FileInfo) : NSObject Parses a property list from a file.
static | Parse (System.IO.Stream) : NSObject Parses a property list from an Stream.
static | Parse (string) : NSObject Parses a property list from a file.
static | SaveAsASCII (NSArray, System.IO.FileInfo) Saves a property list with the given object as root into a ASCII file.
static | SaveAsASCII (NSDictionary, System.IO.FileInfo) Saves a property list with the given object as root into a ASCII file.
static | SaveAsBinary (NSObject, System.IO.FileInfo) Saves a property list with the given object as root into a binary file.
static | SaveAsBinary (NSObject, System.IO.Stream) Saves a property list with the given object as root in binary format into an output stream.
static | SaveAsGnuStepASCII (NSArray, System.IO.FileInfo) Saves a property list with the given object as root into a GnuStep ASCII file.
static | SaveAsGnuStepASCII (NSDictionary, System.IO.FileInfo) Saves a property list with the given object as root into a GnuStep ASCII file.
static | SaveAsXml (NSObject, System.IO.FileInfo) Saves a property list with the given object as root into a XML file.
static | SaveAsXml (NSObject, System.IO.Stream) Saves a property list with the given object as root in XML format into an output stream.

## Member Details

### ConvertToASCII Method

> Converts a given property list file into ASCII format.

> ## Syntax

> public static void ConvertToASCII (System.IO.FileInfo inFile, System.IO.FileInfo outFile)

> #### Parameters

> > inFile
> >   The source file.
> > outFile
> >   The target file.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ConvertToBinary Method

> Converts a given property list file into the OS X and iOS binary format.

> ## Syntax

> public static void ConvertToBinary (System.IO.FileInfo inFile, System.IO.FileInfo outFile)

> #### Parameters

> > inFile
> >   The source file.
> > outFile
> >   The target file.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ConvertToGnuStepASCII Method

> Converts a given property list file into GnuStep ASCII format.

> ## Syntax

> public static void ConvertToGnuStepASCII (System.IO.FileInfo inFile, System.IO.FileInfo outFile)

> #### Parameters

> > inFile
> >   The source file.
> > outFile
> >   The target file.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ConvertToXml Method

> Converts a given property list file into the OS X and iOS XML format.

> ## Syntax

> public static void ConvertToXml (System.IO.FileInfo inFile, System.IO.FileInfo outFile)

> #### Parameters

> > inFile
> >   The source file.
> > outFile
> >   The target file.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Parse Method

> Parses a property list from a byte array.

> ## Syntax

> public static NSObject Parse (byte[] bytes)

> #### Parameters

> > bytes
> >   The property list data as a byte array.

> #### Returns

> > The root object in the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Parse Method

> Parses a property list from a file.

> ## Syntax

> public static NSObject Parse (System.IO.FileInfo f)

> #### Parameters

> > f
> >   The property list file.

> #### Returns

> > The root object in the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Parse Method

> Parses a property list from an Stream.

> ## Syntax

> public static NSObject Parse (System.IO.Stream fs)

> #### Parameters

> > fs
> >   The Stream delivering the property list data.

> #### Returns

> > The root object of the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Parse Method

> Parses a property list from a file.

> ## Syntax

> public static NSObject Parse (string filePath)

> #### Parameters

> > filePath
> >   Path to the property list file.

> #### Returns

> > The root object in the property list. This is usually a NSDictionary but can also be a NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsASCII Method

> Saves a property list with the given object as root into a ASCII file.

> ## Syntax

> public static void SaveAsASCII (NSArray root, System.IO.FileInfo outFile)

> #### Parameters

> > root
> >   The root object.
> > outFile
> >   The output file.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsASCII Method

> Saves a property list with the given object as root into a ASCII file.

> ## Syntax

> public static void SaveAsASCII (NSDictionary root, System.IO.FileInfo outFile)

> #### Parameters

> > root
> >   The root object.
> > outFile
> >   The output file.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsBinary Method

> Saves a property list with the given object as root into a binary file.

> ## Syntax

> public static void SaveAsBinary (NSObject root, System.IO.FileInfo outFile)

> #### Parameters

> > root
> >   The root object.
> > outFile
> >   The output file.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsBinary Method

> Saves a property list with the given object as root in binary format into an output stream.

> ## Syntax

> public static void SaveAsBinary (NSObject root, System.IO.Stream outStream)

> #### Parameters

> > root
> >   The root object.
> > outStream
> >   The output stream.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsGnuStepASCII Method

> Saves a property list with the given object as root into a GnuStep ASCII file.

> ## Syntax

> public static void SaveAsGnuStepASCII (NSArray root, System.IO.FileInfo outFile)

> #### Parameters

> > root
> >   The root object.
> > outFile
> >   The output file.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsGnuStepASCII Method

> Saves a property list with the given object as root into a GnuStep ASCII file.

> ## Syntax

> public static void SaveAsGnuStepASCII (NSDictionary root, System.IO.FileInfo outFile)

> #### Parameters

> > root
> >   The root object.
> > outFile
> >   The output file.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsXml Method

> Saves a property list with the given object as root into a XML file.

> ## Syntax

> public static void SaveAsXml (NSObject root, System.IO.FileInfo outFile)

> #### Parameters

> > root
> >   The root object.
> > outFile
> >   The output file.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SaveAsXml Method

> Saves a property list with the given object as root in XML format into an output stream.

> ## Syntax

> public static void SaveAsXml (NSObject root, System.IO.Stream outStream)

> #### Parameters

> > root
> >   The root object.
> > outStream
> >   The output stream.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException | When an error occurs during the writing process.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0